Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::IdleSignal Class Reference

Idle signal class. More...

`#include <xfc/main.hh>`

List of all members.

## Public Types

- typedef sigc::slot< bool > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- sigc::connection connect (const SlotType &slot, int priority=PRIORITY_DEFAULT_IDLE)
    Connect a slot to be called when the event loop is idle.

## Detailed Description

Idle signal class.

IdleSignal is a convenience class that adds a callback slot to the default main context, to be called whenever there are no higher priority events pending. If your using a different context, for example, inside a thread, you should use an IdleSource instead. If a connected slot returns false it is automatically removed from the list of event sources and will not be called again.

## Member Function Documentation

sigc::connection Xfc::G::IdleSignal::connect | ( | const SlotType & | slot,
|  | int | priority = `PRIORITY_DEFAULT_IDLE`
| ) |

Connect a slot to be called when the event loop is idle.

Parameters:

  | slot | The slot to call.
  | priority | The priority which should not be above G::PRIORITY_HIGH_IDLE.

Returns:
  A connection object that can be used to break or alter the connection.

You can give a priority different from G::PRIORITY_DEFAULT_IDLE to the idle function. Note that you will interfere with GTK+ if you use a priority above G::PRIORITY_RESIZE. The user function returns false to remove itself or true to have it called again.

The documentation for this class was generated from the following file:

- libXFCcore/xfc/glib/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3